orte/mca/schema/base/schema_base_fns.c File Reference.TH "orte/mca/schema/base/schema_base_fns.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/schema/base/schema_base_fns.c \- Convenience functions for accessing the General Purpose Registry. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <string.h>\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'util/sys_info.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br
\fC#include 'mca/gpr/gpr.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/schema/base/base.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_schema_base_get_proc_tokens\fP (char ***proc_tokens, size_t *num_tokens, orte_process_name_t *proc)"
.br
.ti -1c
.RI "int \fBorte_schema_base_get_node_tokens\fP (char ***node_tokens, size_t *num_tokens, orte_cellid_t cellid, char *nodename)"
.br
.ti -1c
.RI "int \fBorte_schema_base_get_job_tokens\fP (char ***job_tokens, size_t *num_tokens, \fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "int \fBorte_schema_base_get_cell_tokens\fP (char ***cell_tokens, size_t *num_tokens, orte_cellid_t cellid)"
.br
.ti -1c
.RI "int \fBorte_schema_base_get_job_segment_name\fP (char **name, \fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "int \fBorte_schema_base_extract_jobid_from_segment_name\fP (\fBorte_jobid_t\fP *jobid, char *name)"
.br
.ti -1c
.RI "int \fBorte_schema_base_store_my_info\fP (void)"
.br
.RI "\fISet the process mapping in the registry. \fP"
.ti -1c
.RI "int \fBorte_schema_base_get_std_trigger_name\fP (char **name, char *trigger, \fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "bool \fBorte_schema_base_check_std_trigger_name\fP (char *name, char *trig)"
.br
.ti -1c
.RI "int \fBorte_schema_base_extract_jobid_from_std_trigger_name\fP (\fBorte_jobid_t\fP *jobid, char *trig)"
.br
.ti -1c
.RI "int \fBorte_schema_base_get_std_subscription_name\fP (char **name, char *subscription, \fBorte_jobid_t\fP jobid)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Convenience functions for accessing the General Purpose Registry. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
